E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GSmtp::ExecutableFilter Class Reference

A Filter class that runs an external helper program. More...

`#include <gexecutablefilter.h>`

Inheritance diagram for GSmtp::ExecutableFilter:

## Public Member Functions
| ExecutableFilter (GNet::ExceptionHandler &, bool server_side, const std::string &)
| Constructor.
virtual | ~ExecutableFilter ()
| Destructor.
virtual std::string | id () const override
| Override from from GSmtp::Filter.
virtual bool | simple () const override
| Override from from GSmtp::Filter.
virtual G::Slot::Signal1< int > & | doneSignal () override
| Override from from GSmtp::Filter.
virtual void | start (const std::string &path) override
| Override from from GSmtp::Filter.
virtual void | cancel () override
| Override from from GSmtp::Filter.
virtual bool | abandoned () const override
| Override from from GSmtp::Filter.
virtual std::string | response () const override
| Override from from GSmtp::Filter.
virtual std::string | reason () const override
| Override from from GSmtp::Filter.
virtual bool | special () const override
| Override from from GSmtp::Filter.
Public Member Functions inherited from GSmtp::Filter
virtual | ~Filter ()
| Destructor.
std::string | str (bool server_side) const
| Returns a diagnostic string for logging.

## Additional Inherited Members
Public Types inherited from GSmtp::Filter
enum | Result { f_ok = 0, f_abandon = 1, f_fail = 2 }

## Detailed Description

A Filter class that runs an external helper program.

Definition at line 41 of file gexecutablefilter.h.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gsmtp/gexecutablefilter.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gsmtp/gexecutablefilter.cpp